scim::TransactionError Class Reference
SocketCommunication

An exception class to hold Transaction related errors. More...

`#include <scim_transaction.h>`

## Public Member Functions

| TransactionError (const String &what_arg)
Public Member Functions inherited from scim::Exception
| Exception (const String &what_arg)
| ~Exception () throw ()
virtual const char * | what () const throw ()

## Detailed Description

An exception class to hold Transaction related errors.

scim::Transaction and its related classes must throw scim::TransactionError object when error.

## Constructor & Destructor Documentation

## TransactionError()

scim::TransactionError::TransactionError | ( | const String & | what_arg | ) |

inline

References scim::Exception::Exception().

The documentation for this class was generated from the following file:

- scim_transaction.h